Bug 127846 - .openoffice/user/work link to ~ deletes files at installation
.openoffice/user/work link to ~ deletes files at installation
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
: 130973 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-07-14 13:30 EDT by Bertil Askelid
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-25 15:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bertil Askelid 2004-07-14 13:30:20 EDT
Description of problem:

Standard installation of OpenOffice comes with a soft link
~/.openoffice/user/work that links to ~

At installation OpenOffice cleans up old installations and deletes
superfluous and old files. Unfortunately, it also traverses the "work"
link at this, causing MAJOR DISTURBANCE to my file system.

It took me quite some time wondering what was going on and then
restoring my home directory from my backups!

Is this a virus or what ?

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. install OpenOffice
Actual results:

Deletions of random files in home directory -- lots of them

Expected results:


Additional info:
Comment 1 Dan Williams 2004-07-14 13:41:47 EDT
This link hasn't been created in the installation since before FC2,
but if you upgraded continuously, it will have been there.  Out of
curiosity, it shouldn't be launching the installer, except to
"upgrade" if you went from 1.0.x -> 1.1.x, so it should never ask to
delete user files.  Can you paste the contents of your ~/.sversionrc
file here?
Comment 2 Bertil Askelid 2004-07-14 15:07:59 EDT

OpenOffice.org 1.1.1=file:///home/bertil/.rhopenoffice1.1

May I suggest that you don't follow links outside the ~/.openoffice
directory when you clean up. That's way too risky!
Comment 3 Dan Williams 2004-09-17 11:09:07 EDT
*** Bug 130973 has been marked as a duplicate of this bug. ***
Comment 4 Dan Williams 2004-09-25 15:41:04 EDT
Please test with the openoffice.org-1.1.2-5 RPMs in Rawhide, it should
be fixed in that version.  If the problem persists with that version,
please reopen this bug.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.